using System;
using System.Collections.Generic;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace KursachMukha692gr
{
    /// <summary>
    /// Логика взаимодействия для IdDisUpdateRaspisaniye.xaml
    /// </summary>
    public partial class IdDisUpdateRaspisaniye : Window
    {
        public DataTable Update(string selectSQL)
        {
            DataTable dataTable = new DataTable("dataBase");
            SqlConnection sqlConnection = new SqlConnection("server=WIN-2CL665KE0ED; Trusted_Connection=YES;DataBase=KURSACH1;");
            sqlConnection.Open();
            SqlCommand sqlCommand = sqlConnection.CreateCommand();
            sqlCommand.CommandText = selectSQL;
            SqlDataAdapter sqlDataAdapter = new SqlDataAdapter(sqlCommand);
            sqlDataAdapter.Fill(dataTable);
            sqlConnection.Close();
            return dataTable;
        }
        public IdDisUpdateRaspisaniye()
        {
            InitializeComponent();
        }

        private void Button_Click_Back(object sender, RoutedEventArgs e)
        {
            ViborUpdateRaspisaniye updateRaspisaniye = new ViborUpdateRaspisaniye();
            updateRaspisaniye.Show();
            Close();
        }

        private void Button_Click_Up(object sender, RoutedEventArgs e)
        {
            if (id_turik.Text.Length != 0 && Name.Text.Length != 0)
            {
                bool turik = false, imya = false;
                for (int i = 0; i < id_turik.Text.Length; i++)
                {
                    if (turik)
                    {
                        turik = false;
                    }
                    if (id_turik.Text[i] >= '1' && id_turik.Text[i] <= '9')
                    {
                        turik = true;
                    }
                    if (turik == false)
                    {
                        MessageBox.Show("Поле id занятия должно содержать только цифры");
                    }
                }
                for (int i = 0; i < Name.Text.Length; i++)
                {
                    if (imya)
                    {
                        imya = false;
                    }
                    if (Name.Text[i] >= '1' && Name.Text[i] <= '7' && Name.Text.Length == 1)
                    {
                        imya = true;
                    }
                    if (imya == false)
                    {
                        MessageBox.Show("Поле дисциплина должно содержать id дисциплины (1-хоккей,2-Волейбол,3-Футбол,4-Баскетбол,5-Плавание,6-Мини-футбол,7-Бокс)");
                    }
                }
                if (turik && imya)
                {
                    DataTable upname = Update("update [dbo].[RASPISANIYE] set fk_disciplina_id = '" + Name.Text + "' where id = " + id_turik.Text);
                    MessageBox.Show("Поле id дисциплины для id " + id_turik.Text + " успешно изменено");
                    ViborUpdateRaspisaniye updateRaspisaniye = new ViborUpdateRaspisaniye();
                    updateRaspisaniye.Show();
                    Close();
                }
                else
                {
                    MessageBox.Show("Неправильный формат");
                }
            }
            else
            {
                MessageBox.Show("Все поля должны быть введены");
            }
        }
    }
}
